/*******************************************************************/
/* DEBUT DU MODULE DE GESTION DU FLASH EPROM -- HEADER             */
/*******************************************************************/
#ifndef __EPROM_H__
#define __EPROM_H__

 boolean Eprom_Init(void);
 boolean Eprom_Read(unsigned char *Valeur, long Emplacement);
 boolean Eprom_Writed(long Emplacement);
 boolean Eprom_Flash(void);
 boolean Ram_Writed(long Emplacement);
 boolean Ram_Read(unsigned char *Valeur, long Emplacement);
 boolean Ram_Write(unsigned char Valeur, long Emplacement);
 boolean Disk_Write(unsigned char Valeur, long Emplacement);
 boolean Eprom_Write(unsigned char Valeur, long Emplacement);
 boolean Disk_Writed(long Emplacement);
 boolean Disk_Read(unsigned char *Valeur, long Emplacement);
 
 void    Init_Disk(void);
 int     Ram_Eprom_Load(void);
 void    Ram_Disk_Load(void);
 void    Disk_Ram_Load(void);
 void    Eprom_Ram_Load(void);
 void    Switch_Support(void);
 int	 Disk_Eprom_Load(void);
 void	 Backup_Eprom_Disk(char *);
 void	 Backup_Ram_Disk(char *);
 int	 Read_Vote(char *pzVoteContent);
 /*<< 9.01c*/
 //int	 Check_vote(char *pzVoteContent);
 int	 Check_vote(void);
 /*>>*/
 int	 Cancel_Vote(void);
 int	 Delete_Vote(long, int, int, char *);
 void	 Down_Load_Ind(void);
 boolean Check_EPROM(void);
 boolean Check_DISK(void);
 int	 Compare_Ram_Disk(void);
 int	 Compare_Ram_Eprom(void);

 extern int Getch(char COLOR);
 extern int Test_Ep(void);
 extern void Light_LED(char LED); 
 extern void Encode_E_Var_String(long Position, char *Valeur, int Longueur);
 extern void Erreur(char *msg);
 extern void Boucle_Erreur(void);
 extern int Disk_Num(void);
 extern int Change_Disque(char *pzMessage, boolean bInd);
 extern void Wait_Time(int Sec);
 extern void Check_Read_Write(void);
 extern void Recupere_E_Variable(long Position, char *Valeur, boolean bReadMem);
 extern void Recupere_E_Var_String(long Position, char *Valeur, int Longueur, boolean bReadMem);
 /*<< 9.01c*/
 extern void Encrypt_Decrypt(char *pzInputData, char *pzPassword, unsigned int iSize); 
 extern void Generate_Password(char *pzPassword, long Position, boolean bIndic);
 /*>>*/

#endif /* __EPROM_H__ */
/*******************************************************************/
/*  FIN DU MODULE DE GESTION DU FLASH EPROM -- HEADER              */
/*******************************************************************/
